Zeitgeist.DataSource – zeitgeist-2.0 Reference Manual

# DataSource

## Object Hierarchy:

## Description:

public class DataSource : `Object`
Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Properties:

- public `string` unique_id { set; get; }
- public `string` name { set; get; }
- public `string` description { set; get; }
- public `GenericArray`<Event>? event_templates { set; get; }
- public `bool` enabled { set; get; }
- public `bool` running { set; get; }
- public `int64` timestamp { set; get; }

### Creation methods:

- public DataSource ()
  ZeitgeistDataSource
- public DataSource.full (`string` unique_id, `string` name, `string` description, `GenericArray`<Event>? templates)
- public DataSource.from_variant (`Variant` variant, `bool` reset_running = false) throws DataModelError

### Methods:

- public `Variant` to_variant ()

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count